//
//  LabelEditView.swift
//  TheNoiseClock
//
//  Created by Matt Bruce on 9/8/25.
//

import SwiftUI
import Bedrock

/// View for editing alarm label
struct LabelEditView: View {
    @Binding var label: String
    @Environment(\.dismiss) private var dismiss
    
    var body: some View {
        VStack(spacing: Design.Spacing.large) {
            TextField("Alarm Label", text: $label)
                .textFieldStyle(RoundedBorderTextFieldStyle())
                .contentPadding(horizontal: Design.Spacing.large)
            
            Spacer()
        }
        .navigationTitle("Label")
        .navigationBarTitleDisplayMode(.inline)
        .contentPadding(vertical: Design.Spacing.large)
    }
}
